using System;
class Program{
  static void Main(){
    string [] s = Console.ReadLine().Split();
    int n = int.Parse(s[0]);
    int m = int.Parse(s[1]);
    
    int broj_radara = 2 * m;
    int i = 0;
    
    while(i < (n - 2)){
      broj_radara = broj_radara + 3;
      i = i + 1;
        if(i < (n - 2)){
          broj_radara = broj_radara + 4;
          i = i + 1;
        }
    }
    
    Console.WriteLine(broj_radara);
    
  }
}